Summary:		mod_ngobjweb apache module
Name:			mod_ngobjweb
Version:		%{mod_ngobjweb_version}
Release:		%{mod_ngobjweb_release}.%{mod_ngobjweb_buildcount}%{dist_suffix}
Vendor:			OpenGroupware.org
Packager:		Frank Reppin <frank@opengroupware.org>	
License:		LGPL
URL:			http://sope.opengroupware.org/
Group:			Development/Libraries
AutoReqProv:	off
Requires:		ogo-environment
Source:			%{mod_ngobjweb_source}
Prefix:			%{mod_ngobjweb_prefix}
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
apache2 mod_ngobjweb adaptor.

%prep
rm -fr ${RPM_BUILD_ROOT}
%setup -n sope-mod_ngobjweb

# ****************************** build ********************************
%build
export PATH=$PATH:/usr/sbin
make %{mod_ngobjweb_makeflags} APXS="/usr/sbin/apxs" APXS_INCLUDE_DIRS="-I/usr/include/apache"

# ****************************** install ******************************
%install
export PATH=$PATH:/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib/sope-%{sope_major_version}.%{sope_minor_version}
cp mod_ngobjweb.so ${RPM_BUILD_ROOT}%{prefix}/lib/sope-%{sope_major_version}.%{sope_minor_version}/mod_ngobjweb.so

mkdir -p ${RPM_BUILD_ROOT}/var/lib/opengroupware.org
echo "#this file contains the apache/httpd configuration for OpenGroupware.org
#it should be included from within your default httpd.conf ala:
#\`include OGo.conf\`
#(or copy it into the dir where additonal configs end up)
#
LoadModule ngobjweb_module %{prefix}/lib/sope-%{sope_major_version}.%{sope_minor_version}/mod_ngobjweb.so
#
Alias /OpenGroupware10a.woa/WebServerResources/ %{prefix}/share/opengroupware.org-1.0a/www/
Alias /ArticleImages %{_var}/lib/opengroupware.org/news
#
<LocationMatch "^/OpenGroupware*">
  SetAppPort 20000
  SetHandler ngobjweb-adaptor
</LocationMatch>
#
<LocationMatch "^/zidestore/*">
SetHandler ngobjweb-adaptor
SetAppPort 21000
</LocationMatch>
#
<LocationMatch "^/RPC2*">
SetHandler ngobjweb-adaptor
SetAppPort 22000
</LocationMatch>
" > ${RPM_BUILD_ROOT}%{_var}/lib/opengroupware.org/OGo.conf

# ****************************** post *********************************
%post

# ****************************** clean ********************************
%clean
rm -fr ${RPM_BUILD_ROOT}

# ****************************** files ********************************
%files
%defattr(-,root,root,-)
%{prefix}/lib/sope-%{sope_major_version}.%{sope_minor_version}/mod_ngobjweb.so
%config %{_var}/lib/opengroupware.org/OGo.conf

# ********************************* changelog *************************
%changelog
